Bug 230229

Summary: amarok crashes randomly after pressing enter in playlist
Product: amarok Reporter: Victor Gavrish <loonyphoenix>
Component: PlaylistAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED NOT A BUG    
Severity: crash CC: nhn, teo
Priority: NOR    
Version: 2.3-GIT   
Target Milestone: ---   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description Victor Gavrish 2010-03-10 18:50:32 UTC
Application: amarok (2.2-GIT)
KDE Platform Version: 4.4.1 (KDE 4.4.1)
Qt Version: 4.6.2
Operating System: Linux 2.6.33-ARCH i686
Distribution (Platform): Archlinux Packages

-- Information about the crash:
Right now, I added my whole collection and tried playing the first song (an mp3).

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb2a90720 (LWP 18048))]

Thread 19 (Thread 0xafcf9b70 (LWP 18049)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5632182 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb59804e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c69c05 in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0x00000005 in ?? ()
#5  0xafcf9330 in ?? ()
#6  0x04518729 in ?? ()
#7  0x00000000 in ?? ()

Thread 18 (Thread 0xaf4a7b70 (LWP 18050)):
#0  0xb5980696 in pthread_mutex_unlock () from /lib/libc.so.6
#1  0xb37fa45e in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0xb37fa811 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#3  0xb37fad23 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb671060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb66e32f9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb66e374a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb65e0558 in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0xb0cb5c29 in Phonon::Xine::XineThread::run() () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#9  0xb65e327e in ?? () from /usr/lib/libQtCore.so.4
#10 0xb562d8ac in start_thread () from /lib/libpthread.so.0
#11 0xb5972ebe in clone () from /lib/libc.so.6

Thread 17 (Thread 0xaeca6b70 (LWP 18053)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5968d76 in poll () from /lib/libc.so.6
#2  0xaf4f4d91 in ao_alsa_handle_event_thread () from /usr/lib/xine/plugins/1.28/xineplug_ao_out_alsa.so
#3  0x00000000 in ?? ()

Thread 16 (Thread 0xae4a5b70 (LWP 18054)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c7b98c in ao_loop () from /usr/lib/libxine.so.1
#4  0xae4a5320 in ?? ()

Thread 15 (Thread 0xadca4b70 (LWP 18055)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c7b98c in ao_loop () from /usr/lib/libxine.so.1
#4  0x00000000 in ?? ()

Thread 14 (Thread 0xad4a3b70 (LWP 18056)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c7b98c in ao_loop () from /usr/lib/libxine.so.1
#4  0x00000000 in ?? ()

Thread 13 (Thread 0xac8ffb70 (LWP 18057)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c7b98c in ao_loop () from /usr/lib/libxine.so.1
#4  0x00000000 in ?? ()

Thread 12 (Thread 0xab8cfb70 (LWP 18063)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb40ac047 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb40ac091 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0xb562d8ac in start_thread () from /lib/libpthread.so.0
#6  0xb5972ebe in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa9884b70 (LWP 18064)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb65e41b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5172ff0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb5175abc in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb51719ab in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb5175bb2 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb5173c4e in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#12 0xb517436b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb65e327e in ?? () from /usr/lib/libQtCore.so.4
#14 0xb562d8ac in start_thread () from /lib/libpthread.so.0
#15 0xb5972ebe in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa9083b70 (LWP 18065)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb65e41b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5172ff0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb5175abc in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb51719ab in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb5175bb2 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#12 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#13 0xb5173c4e in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#14 0xb517436b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0xb65e327e in ?? () from /usr/lib/libQtCore.so.4
#16 0xb562d8ac in start_thread () from /lib/libpthread.so.0
#17 0xb5972ebe in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa86dbb70 (LWP 18066)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb65e41b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5172ff0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb5175abc in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb51719ab in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb5175bb2 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb5173c4e in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#10 0xb517436b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb65e327e in ?? () from /usr/lib/libQtCore.so.4
#12 0xb562d8ac in start_thread () from /lib/libpthread.so.0
#13 0xb5972ebe in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa7edab70 (LWP 18067)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb65e41b7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5172ff0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0xb5175abc in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb51719ab in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb5175bb2 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#12 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#13 0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#14 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#15 0xb5175bd1 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#16 0xb5173273 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#17 0xb5173c4e in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#18 0xb517436b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#19 0xb65e327e in ?? () from /usr/lib/libQtCore.so.4
#20 0xb562d8ac in start_thread () from /lib/libpthread.so.0
#21 0xb5972ebe in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa4692b70 (LWP 18078)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4fe02a7 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb4fe02f1 in ?? () from /usr/lib/libQtScript.so.4
#5  0xb562d8ac in start_thread () from /lib/libpthread.so.0
#6  0xb5972ebe in clone () from /lib/libc.so.6

Thread 6 (Thread 0x98167b70 (LWP 18122)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb596bdf1 in select () from /lib/libc.so.6
#2  0xb0c93f98 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 5 (Thread 0x9757db70 (LWP 18123)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c6d5f8 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0x00000122 in ?? ()

Thread 4 (Thread 0x96bafb70 (LWP 18124)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c6d5f8 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0x082f6508 in ?? ()
#5  0x082f65e0 in ?? ()
#6  0x000046cc in ?? ()
#7  0x094dd8dc in ?? ()
#8  0x0952c738 in ?? ()
#9  0x082f6508 in ?? ()
#10 0x96baf288 in ?? ()
#11 0xb0ca4698 in ?? () from /usr/lib/libxine.so.1
#12 0x0952c738 in ?? ()
#13 0x082f6508 in ?? ()
#14 0x08e09ef8 in ?? ()
#15 0xb0c74b45 in audio_decoder_loop () from /usr/lib/libxine.so.1
#16 0x00000000 in ?? ()

Thread 3 (Thread 0x963aeb70 (LWP 18125)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5631e55 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb598048d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb0c7eb30 in xine_event_wait () from /usr/lib/libxine.so.1
#4  0xb59e9380 in ?? () from /lib/libc.so.6
#5  0xb59e7ff4 in ?? () from /lib/libc.so.6
#6  0x000046cd in ?? ()
#7  0x08e9c194 in ?? ()
#8  0x08e9c178 in ?? ()
#9  0x08e9c17c in ?? ()
#10 0x963ae2f8 in ?? ()
#11 0xb0ca4698 in ?? () from /usr/lib/libxine.so.1
#12 0x08e9c178 in ?? ()
#13 0x08e9c17c in ?? ()
#14 0x00000001 in ?? ()
#15 0xb0c7ebb1 in listener_loop () from /usr/lib/libxine.so.1
#16 0x00000000 in ?? ()

Thread 2 (Thread 0x98968b70 (LWP 18536)):
#0  0xb76e9424 in __kernel_vsyscall ()
#1  0xb5632182 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb59804e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb65e413f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb65d8edb in ?? () from /usr/lib/libQtCore.so.4
#5  0xb65e327e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb562d8ac in start_thread () from /lib/libpthread.so.0
#7  0xb5972ebe in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb2a90720 (LWP 18048)):
[KCrash Handler]
#6  0xb6271364 in QSortFilterProxyModel::parent(QModelIndex const&) const () from /usr/lib/libQtGui.so.4
#7  0xb623c0c0 in QItemSelection::select(QModelIndex const&, QModelIndex const&) () from /usr/lib/libQtGui.so.4
#8  0xb623c46e in QItemSelection::QItemSelection(QModelIndex const&, QModelIndex const&) () from /usr/lib/libQtGui.so.4
#9  0xb623c4c3 in QItemSelectionModel::select(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () from /usr/lib/libQtGui.so.4
#10 0xb623abd4 in QItemSelectionModel::setCurrentIndex(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () from /usr/lib/libQtGui.so.4
#11 0xb6c956df in Playlist::PrettyListView::trackActivated(QModelIndex const&) () from /usr/lib/libamaroklib.so.1
#12 0xb6c959e2 in Playlist::PrettyListView::keyPressEvent(QKeyEvent*) () from /usr/lib/libamaroklib.so.1
#13 0xb5ca7e43 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#14 0xb609b023 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#15 0xb6135967 in QAbstractScrollArea::event(QEvent*) () from /usr/lib/libQtGui.so.4
#16 0xb61e1f5c in QAbstractItemView::event(QEvent*) () from /usr/lib/libQtGui.so.4
#17 0xb61fdbd4 in QListView::event(QEvent*) () from /usr/lib/libQtGui.so.4
#18 0xb5c4a5dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#19 0xb5c52c55 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb6f92446 in App::notify(QObject*, QEvent*) () from /usr/lib/libamaroklib.so.1
#21 0xb66e4cbb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#22 0xb5c4b4be in ?? () from /usr/lib/libQtGui.so.4
#23 0xb5d0192d in ?? () from /usr/lib/libQtGui.so.4
#24 0xb5d03dd4 in ?? () from /usr/lib/libQtGui.so.4
#25 0xb5cd97d7 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#26 0xb5d06f82 in ?? () from /usr/lib/libQtGui.so.4
#27 0xb37f7378 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0xb37fabf0 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#29 0xb37fad23 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0xb67105d5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0xb5d06ae5 in ?? () from /usr/lib/libQtGui.so.4
#32 0xb66e32f9 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0xb66e374a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0xb66e78bf in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#35 0xb5c4a677 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#36 0x0804fe25 in main ()

Reported using DrKonqi
Comment 1 Nikolaj Hald Nielsen 2010-03-15 08:57:28 UTC
I cannot reproduce this. Anyone else having any luck?

If anyone manages to reproduce it, a backtrace with line numbers would be great! :-)
Comment 2 Victor Gavrish 2010-03-15 16:57:27 UTC
which packages do I need debugging symbols for in case I encounter this crash again?
Comment 3 Myriam Schweingruber 2010-03-16 02:30:58 UTC
Victor, please have a look here on how to get a valid backtrace:

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports

The debugging symbols recommended are those for Amarok, Phonon, kdelibs, libqt4 and libglib, this should cover most of the potential crashes.
Comment 4 Sven Krohlas 2010-05-11 17:54:44 UTC
Mass closing NEEDSINFO bugs with no comment for at least 31 days.

Dear reporter,

thanks for your feedback. For efficient bug triaging we need not only one report but also constant feedback about the status of an issue, at least when we ask for it.

If your request is still valid in our latest release in your opinion (2.3.1 beta 1) DO NOT REOPEN THIS BUG but file a fresh one instead. Developers need clean bug reports to be able to work efficiently. Provide at least a step-by-step guide on how to reproduce the issue, a backtrace in case of a crash and debug output if appropriate.

And remember:
* One issue per bug. Small, clean bug reports are best to work on.
* Search for duplicates. Hint: we have useful categories for that. :)

-> RESOLVED INVALID